\pgfplotsset{
	compat=1.5,
%
	scale only axis, % scale properly the plot
%	legend style={at={(0.97,0.6)},anchor=east}, % move legend position, 
	legend pos = north east, % position of the legend
%
	xtick=data,
	xticklabel style={
		/pgf/number format/fixed,
		/pgf/number format/precision=3,
		font=\scriptsize,
	},
%
	y tick label style={
		/pgf/number format/fixed,
		/pgf/number format/precision=3,
		font=\scriptsize,
	},
%
	ymajorgrids,
%
	width=0.8\linewidth,
	height=0.6\textheight,
%
	scaled x ticks=true,
	scaled y ticks=true,
%
	enlarge x limits={0.05},
%
	timeandsize/.style={%
		ylabel={Tiempo (segundos)},
		xlabel={Orden de las matrices},
		%
		legend pos=south east,
	},
%
	speedup/.style={%
		width=0.85\linewidth,
		%
		ylabel={\textit{Speedup}},
		xlabel={Número de \textit{threads}},
		%
		legend pos=north west,
		%
		%code for obtaining speedup
		y filter/.code={
			\ifnum\coordindex=0
			\xdef\firstvalue{\pgfmathresult}
			\fi
			\pgfmathparse{\firstvalue/\pgfmathresult},
		},
%
	},
%
	legend style={%
		font=\scriptsize,
	},
%
}

\pgfplotstableset{
	col sep=semicolon,
}

\pgfplotsset{
	discard if/.style 2 args={
		x filter/.append code={
			\edef\tempa{\thisrow{#1}}
			\edef\tempb{#2}
			\ifx\tempa\tempb
			\def\pgfmathresult{inf}
			\fi
		}
	},
	discard if not/.style 2 args={
		x filter/.append code={
			\edef\tempa{\thisrow{#1}}
			\edef\tempb{#2}
			\ifx\tempa\tempb
			\else
			\def\pgfmathresult{inf}
			\fi
		}
	}
}